TLSRPT_CANCEL_DELIVERY_REQUEST(3)

NAME
tlsrpt_cancel_delivery_request - marks the delivery request as cancelled

SYNOPSIS

#include <tlsrpt.h>

int tlsrpt_cancel_delivery_request(struct tlsrpt_dr_t** pdr)

DESCRIPTION

The tlsrpt_cancel_delivery_request function marks the delivery request as cancelled. This is done by an internal library "dummy error" TLSRPT_ERR_TLSRPT_CANCELLED which, like all errors, will prevent the delivery request from being sent out. The function then calls tlsrpt_finish_delivery_request, which will do all the clean-up of used resources.

RETURN VALUE

The tlsrpt_cancel_delivery_request function returns 0 on success and a combined error code on failure. The combined error code can be analyzed with the tlsrpt_strerror function.

SEE ALSO

tlsrpt_init_delivery_request(3), tlsrpt_finish_delivery_request(3), tlsrpt_strerror(3), tlsrpt_error_code_is_internal(3)

AUTHOR(S)

Boris Lohner
    Author(s).